import React, { PureComponent, useState, useEffect } from 'react'
import { Modal, Row, Col, Table, Pagination, Button, Form, Input,message } from 'antd'
import EnDash from '../EnDash'
import AuthButton from '@/components/AuthButton';

import Style from './style.less'
import HotBlock from '../HotBlock'
import apis from '../../../../../../services/apis';
import request from '../../../../../../utils/request';

const Refund = props => {
  const raiseRecordId = props.raiseRecordId;

  function handleSubmit (e) {
    e.preventDefault();
    props.form.validateFields((err, values) => {
      if (!err){
        request({ ...apis.house.refund, data: {targetId:raiseRecordId, targetType:"house", refundReason:values.refundReason}, }).then((data) => {
            message.info("操作成功")
            getList({ pageNum: 1, pageSize: 10 });
        }).catch((err) => {
            // message.info(err.msg)
        })        
      }
    });
  }

  const { getFieldDecorator } = props.form;

  return (
    <>
      <Modal footer={null} title="退款" visible={props.visible} onCancel={props.onCancel} width={600}>
        <Form labelCol={{ span: 7 }} wrapperCol={{ span: 12 }} onSubmit={handleSubmit}>
          <Form.Item label="退款原因" labelAlign='left'>
            {getFieldDecorator('refundReason', {
              rules: [{ required: true, message: ' 退款原因' }],
            })(<Input label='left'/>)}
          </Form.Item>
          <Form.Item wrapperCol={{ span: 15, offset: 10 }}>
            <Button type="primary" htmlType="submit" >
              提交
            </Button>
          </Form.Item>
        </Form>
      </Modal>
    </>
  );
}

const WrappedBase = Form.create({ name: 'Refund' })(Refund);

export default WrappedBase